#define	UPDATEVRAM0BIT	6
#define	UPDATEVRAM1BIT	7
#define	UPDATE_VRAM0	(1 << UPDATEVRAM0BIT)
#define	UPDATE_VRAM1	(1 << UPDATEVRAM1BIT)
#define	UPDATE_VRAM		(UPDATE_VRAM0 | UPDATE_VRAM1)

#define	X1ATR_COLOR		0x07
#define	X1ATR_REVERSE	0x08
#define	X1ATR_BLINK		0x10
#define	X1ATR_PCG		0x20
#define	X1ATR_Yx2		0x40
#define	X1ATR_Xx2		0x80
#define	X1KNJ_ULINE		0x20

#define	ANK_24KHz		1
#define	KNJ_24KHz		2

extern	BYTE	updatetmp[0x800+0x101];
extern	BYTE	scrnflash;
extern	BYTE	scrnallflash;
extern	BYTE	doubleatrchange;
extern	BYTE	palandply;
extern	BYTE	blinkflag;
extern	DWORD	degitalpal[24];


void textdrawproc_renewal(void);
void reflesh_palette(void);

void init_draw(void);
void scrnupdate(void);
void vrambank_patch(BYTE value);

void scrnupdate1line(DWORD line);
void scrnupdatelast(void);
