#include	<windows.h>
#include	"fdd_mtr.h"

static	WORD		timercnt = 0;
#if 0

extern	HWND		hWndMain;
static	MMRESULT	timerincid = NULL;

void CALLBACK timercntinc(UINT uTimerID, UINT uMsg, DWORD dwUser,
													DWORD dw1, DWORD dw2) {
	timercnt++;
}

void timer_init(int time) {

	timerincid = timeSetEvent(17, 17, timercntinc,
										(DWORD)hWndMain, TIME_PERIODIC);
}

void timer_setcount(WORD value) {

	timercnt = value;
}

WORD timer_getcount(void) {

	return(timercnt);
}

void timer_term(void) {

	if (timerincid != NULL) {
		timeKillEvent((UINT)timerincid);
	}
}
#else

#define	TIMEBASE 16
	DWORD	tick = 0;

void timer_init(int time) {

	tick = GetTickCount();
}

void timer_setcount(WORD value) {

	timercnt = value;
}

WORD timer_getcount(void) {

	DWORD	ticknow;
	DWORD	steps;

	ticknow = GetTickCount();
	FDDMTR_CALLBACK(ticknow);
	steps = (ticknow - tick) / TIMEBASE;
	timercnt += (WORD)steps;
	tick += (steps * TIMEBASE);
	return(timercnt);
}

void timer_term(void) {

}

#endif
